# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Hash-FieldHash
Version:	0.15
Release:	23.%{__distinit}%{__distvers}
Summary:	Lightweight field hash implementation
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Hash-FieldHash
Source0:	https://cpan.metacpan.org/modules/by-module/Hash/Hash-FieldHash-%{version}.tar.gz
Patch0:		Hash-FieldHash-0.15-Fix-building-on-Perl-without-dot-in-INC.patch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Devel::PPPort) >= 3.19
BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(ExtUtils::ParseXS) >= 2.21
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Module::Build) >= 0.40.05
BuildRequires:	perl(utf8)
BuildRequires:	perl(warnings)
# Module Runtime
BuildRequires:	perl(Exporter)
BuildRequires:	perl(parent) >= 0.221
BuildRequires:	perl(strict)
BuildRequires:	perl(XSLoader) >= 0.02
# Test Suite
BuildRequires:	perl(Config)
BuildRequires:	perl(constant)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(if)
BuildRequires:	perl(overload)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Symbol)
BuildRequires:	perl(Test::More) >= 0.62
BuildRequires:	perl(threads)
# Optional Tests
BuildRequires:	perl(Hash::Util::FieldHash)
BuildRequires:	perl(Test::LeakTrace) >= 0.07
BuildRequires:	perl(Test::Pod) >= 1.14
BuildRequires:	perl(Test::Pod::Coverage) >= 1.04
BuildRequires:	perl(Test::Synopsis)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

# Avoid provides from private shared objects
%{?perl_default_filter}

%description
Hash::FieldHash provides the field hash mechanism, which supports the inside-
out technique.

%prep
%setup -q -n Hash-FieldHash-%{version}

# Fix building on Perl without '.' in @INC
%patch -P 0 -p1

%build
RELEASE_TESTING=1 perl Build.PL --installdirs=vendor --optimize="%{optflags}"
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%license LICENSE
%doc Changes README.md benchmark/ example/
%{perl_vendorarch}/auto/Hash/
%{perl_vendorarch}/Hash/
%{_mandir}/man3/Hash::FieldHash.3*

%changelog
* Fri Apr 21 2023 Paul Howarth <paul@city-fan.org> - 0.15-23
- Use SPDX-format license tag
- Avoid use of deprecated patch syntax

* Wed Jun  1 2022 Paul Howarth <paul@city-fan.org> - 0.15-20
- Perl 5.36 rebuild

* Mon May 24 2021 Paul Howarth <paul@city-fan.org> - 0.15-17
- Perl 5.34 rebuild

* Mon Jun 29 2020 Paul Howarth <paul@city-fan.org> - 0.15-14
- Perl 5.32 rebuild

* Thu Jun  6 2019 Paul Howarth <paul@city-fan.org> - 0.15-11
- Perl 5.30 rebuild

* Thu Jun 28 2018 Paul Howarth <paul@city-fan.org> - 0.15-8
- Perl 5.28 rebuild

* Fri Mar  2 2018 Paul Howarth <paul@city-fan.org> - 0.15-7
- Arch-specific package using Module::Build needs to use ExtUtils::CBuilder
  (https://bugzilla.redhat.com/show_bug.cgi?id=1547165#c7)

* Mon Aug  7 2017 Paul Howarth <paul@city-fan.org> - 0.15-5
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Wed Jun 14 2017 Paul Howarth <paul@city-fan.org> - 0.15-3
- Perl 5.26 rebuild

* Thu May 18 2017 Paul Howarth <paul@city-fan.org> - 0.15-2
- Fix building on Perl without '.' in @INC
- Drop redundant Group: tag
- BR: perl-devel unconditionally

* Mon Feb  6 2017 Paul Howarth <paul@city-fan.org> - 0.15-1
- Update to 0.15
  - t/orig/03_class.t failed if FamilyTreeInfo-2.3.24 was installed (GH#1)

* Wed May 18 2016 Paul Howarth <paul@city-fan.org> - 0.14-5
- Classify buildreqs by usage
- Simplify find command using -empty and -delete

* Sun Aug 31 2014 Paul Howarth <paul@city-fan.org> - 0.14-2
- Use %%license where possible

* Thu Aug 15 2013 Paul Howarth <paul@city-fan.org> - 0.14-1
- Import from Fedora
- Update to 0.14
  - Use Module::Build instead of Module::Install with minil(1)
  - No code changes

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 26 2013 Petr Pisar <ppisar@redhat.com> - 0.12-6
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 19 2012 Petr Pisar <ppisar@redhat.com> - 0.12-3
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Oct 23 2011 Iain Arnell <iarnell@gmail.com> 0.12-1
- update to latest upstream version

* Tue Aug 23 2011 Iain Arnell <iarnell@gmail.com> 0.10-2
- drop unnecessary explicit buildrequires

* Thu Aug 11 2011 Iain Arnell <iarnell@gmail.com> 0.10-1
- Specfile autogenerated by cpanspec 1.78.
